summaryrefslogtreecommitdiff
path: root/packaging/SGI/inetd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/SGI/inetd.sh')
-rwxr-xr-xpackaging/SGI/inetd.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/packaging/SGI/inetd.sh b/packaging/SGI/inetd.sh
index 8c4c6cb8d8..1d403978ae 100755
--- a/packaging/SGI/inetd.sh
+++ b/packaging/SGI/inetd.sh
@@ -8,8 +8,12 @@ chkconfig samba off
#
# add SAMBA deamons to inetd.conf
#
-cp /etc/inetd.conf /etc/inetd.O
-sed -e "/^netbios/D" -e "/^#SAMBA/D" /etc/inetd.O > /etc/inetd.conf
+cp /etc/inetd.conf /etc/inetd.conf.O
+
+if [ $? -ne 0 ]; then exit 1; fi
+if [ ! -r /etc/inetd.conf.O -o ! -w /etc/inetd.conf ]; then exit 1; fi
+
+sed -e "/^netbios/D" -e "/^#SAMBA/D" /etc/inetd.conf.O > /etc/inetd.conf
echo '#SAMBA services' >> /etc/inetd.conf
echo netbios-ssn stream tcp nowait root /usr/samba/bin/smbd smbd >> /etc/inetd.conf
echo netbios-ns dgram udp wait root /usr/samba/bin/nmbd nmbd -S >> /etc/inetd.conf
@@ -18,6 +22,10 @@ echo netbios-ns dgram udp wait root /usr/samba/bin/nmbd nmbd -S >> /etc
# add SAMBA service ports to /etc/services
#
cp /etc/services /etc/services.O
+
+if [ $? -ne 0 ]; then exit 1; fi
+if [ ! -r /etc/services.O -o ! -w /etc/services ]; then exit 1; fi
+
sed -e "/^netbios/D" -e "/^#SAMBA/D" /etc/services.O > /etc/services
echo '#SAMBA services' >> /etc/services
echo 'netbios-ns 137/udp # SAMBA' >> /etc/services